Package com.independentsoft.office.spreadsheet.revisions

# Class RevisionSet

java.lang.Object
com.independentsoft.office.spreadsheet.revisions.RevisionSet

public class RevisionSet extends Object
The Class RevisionSet.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RevisionSet()`
  Instantiates a new revision set.
  `RevisionSet​(byte[] buffer)`
  Instantiates a new revision set.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RevisionSet`
  `clone()`
  `String`
  `getReferenceId()`
  `List<RevisionAutoFormat>`
  `getRevisionAutoFormats()`
  Gets the revision auto formats.
  `List<RevisionCellChange>`
  `getRevisionCellChanges()`
  Gets the revision cell changes.
  `List<RevisionCellComment>`
  `getRevisionCellComments()`
  Gets the revision cell comments.
  `List<RevisionCellMove>`
  `getRevisionCellMoves()`
  Gets the revision cell moves.
  `List<RevisionCustomView>`
  `getRevisionCustomViews()`
  Gets the revision custom views.
  `List<RevisionDefinedName>`
  `getRevisionDefinedNames()`
  Gets the revision defined names.
  `List<RevisionFormat>`
  `getRevisionFormats()`
  Gets the revision formats.
  `List<RevisionInsertSheet>`
  `getRevisionInsertSheets()`
  Gets the revision insert sheets.
  `List<RevisionMergeConflict>`
  `getRevisionMergeConflicts()`
  Gets the revision merge conflicts.
  `List<RevisionQueryTable>`
  `getRevisionQueryTables()`
  Gets the revision query tables.
  `List<RevisionRowColumn>`
  `getRevisionRowColumns()`
  Gets the revision row columns.
  `List<RevisionSheetName>`
  `getRevisionSheetNames()`
  Gets the revision sheet names.
  `void`
  `setReferenceId​(String value)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RevisionSet

    public RevisionSet()
    Instantiates a new revision set.

  - ### RevisionSet

    public RevisionSet​(byte[] buffer) throws XMLStreamException
    Instantiates a new revision set.
    Parameters:
      `buffer` - the buffer
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getReferenceId

    public String getReferenceId()

  - ### setReferenceId

    public void setReferenceId​(String value)

  - ### clone

    public RevisionSet clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getRevisionAutoFormats

    public List<RevisionAutoFormat> getRevisionAutoFormats()
    Gets the revision auto formats.
    Returns:
      the revision auto formats

  - ### getRevisionCellChanges

    public List<RevisionCellChange> getRevisionCellChanges()
    Gets the revision cell changes.
    Returns:
      the revision cell changes

  - ### getRevisionMergeConflicts

    public List<RevisionMergeConflict> getRevisionMergeConflicts()
    Gets the revision merge conflicts.
    Returns:
      the revision merge conflicts

  - ### getRevisionCellComments

    public List<RevisionCellComment> getRevisionCellComments()
    Gets the revision cell comments.
    Returns:
      the revision cell comments

  - ### getRevisionCustomViews

    public List<RevisionCustomView> getRevisionCustomViews()
    Gets the revision custom views.
    Returns:
      the revision custom views

  - ### getRevisionDefinedNames

    public List<RevisionDefinedName> getRevisionDefinedNames()
    Gets the revision defined names.
    Returns:
      the revision defined names

  - ### getRevisionFormats

    public List<RevisionFormat> getRevisionFormats()
    Gets the revision formats.
    Returns:
      the revision formats

  - ### getRevisionInsertSheets

    public List<RevisionInsertSheet> getRevisionInsertSheets()
    Gets the revision insert sheets.
    Returns:
      the revision insert sheets

  - ### getRevisionCellMoves

    public List<RevisionCellMove> getRevisionCellMoves()
    Gets the revision cell moves.
    Returns:
      the revision cell moves

  - ### getRevisionQueryTables

    public List<RevisionQueryTable> getRevisionQueryTables()
    Gets the revision query tables.
    Returns:
      the revision query tables

  - ### getRevisionRowColumns

    public List<RevisionRowColumn> getRevisionRowColumns()
    Gets the revision row columns.
    Returns:
      the revision row columns

  - ### getRevisionSheetNames

    public List<RevisionSheetName> getRevisionSheetNames()
    Gets the revision sheet names.
    Returns:
      the revision sheet names